Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.fourthline.cling.support.contentdirectory
Class DIDLParser.ItemHandler

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          org.seamless.xml.SAXParser.Handler<I>
              org.fourthline.cling.support.contentdirectory.DIDLParser.DIDLObjectHandler<Item>
                  org.fourthline.cling.support.contentdirectory.DIDLParser.ItemHandler

All Implemented Interfaces:
  ContentHandler, DTDHandler, EntityResolver, ErrorHandler

Enclosing class:
  DIDLParser

    public class DIDLParser.ItemHandler

extends DIDLParser.DIDLObjectHandler<Item>

Field Summary

Fields inherited from class org.seamless.xml.SAXParser.Handler
`attributes, characters, instance, parent, parser`

Constructor Summary
`DIDLParser.ItemHandler(Item instance, org.seamless.xml.SAXParser.Handler parent)`

Method Summary
`protected boolean` | `isLastElement(String uri, String localName, String qName)`
`void` | `startElement(String uri, String localName, String qName, Attributes attributes)`

Methods inherited from class org.fourthline.cling.support.contentdirectory.DIDLParser.DIDLObjectHandler
`endElement`

Methods inherited from class org.seamless.xml.SAXParser.Handler
`characters, getAttributes, getCharacters, getInstance, getParent, getParser, switchToParent`

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`endDocument, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DIDLParser.ItemHandler

    public DIDLParser.ItemHandler(Item instance,
                                  org.seamless.xml.SAXParser.Handler parent)

Method Detail

### startElement

    public void startElement(String uri,
                             String localName,
                             String qName,
                             Attributes attributes)
                      throws SAXException

  Specified by:
    `startElement` in interface `ContentHandler`
  Overrides:
    `startElement` in class `org.seamless.xml.SAXParser.Handler<Item>`
  Throws:
    `SAXException`

### isLastElement

    protected boolean isLastElement(String uri,
                                    String localName,
                                    String qName)

  Overrides:
    `isLastElement` in class `org.seamless.xml.SAXParser.Handler<Item>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 4th Line GmbH, Switzerland. All Rights Reserved.